3 ODCL control question?

Started by JTHWAMAN, December 31, 2007, 05:43:42 AM

Previous topic - Next topic

JTHWAMAN

3 ODCL control question?

01.How presses down [B1-1] After the button,
appears [P2] picture, how is setup ?

02.How in [A1-1] presses down "ENTER" after ,
joins the material to [A1-2] ?

03.[A1-1] the number of words surpasses the scope,
Why can show, how is setup ?

Thank you for your offered to help.

[attachment deleted by admin]

JTHWAMAN

odcl file

[attachment deleted by admin]

BazzaCAD

I'm not sure I understand you, but I'll try to answer your questions.
1. You have 2 options here a) you an use "dcl_Control_SetVisible" to hide & show controls at run-time in the Button Clicked event b) You can re-size you form at run-time so it scrolls up & down on the button clicked event.
2. You can use a text box & the "ReturnPressed" Event & append the text to a ListBox. See the "ListBoxCopyPaste" example for a demo of this.
3. I'm not sure what you're asking on this one, sorry?
a.k.a.
Barry Ralphs
barryDOTralphsATgmailDOTcom

JTHWAMAN

#3
I according to yours method hypothesis,
but or has the problem,
enclosed file.
Requests the help to inspect.


(defun c:qtest ( / )

;;;^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
(defun c:ODCL_008T_TS_OnSize (nWidth nHeight /)
(dcl_control_setwidth ODCL_008_TS nWidth)
)


;;;^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
(defun c:ODCL_008T_TS_GBN0_OnClicked ( / )
(if (= (dcl_control_getwidth ODCL_008_TS nHeight) 35)
(SETQ nWidth 105)
(SETQ nWidth 35)
)
(SETQ nHeight (dcl_control_getwidth ODCL_008_TS nHeight))
(c:ODCL_008T_TS_OnSize nWidth nHeight)
)


;;;^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
(defun c:ODCL_008T_TS_GBN1_OnClicked ( / )
(if (= (dcl_Control_GetVisible ODCL_008_TS_RE0) nil)
(progn
(dcl_Control_SetVisible ODCL_008_TS_RE0 t)
(dcl_Control_SetVisible ODCL_008_TS_TBX0 t)
(dcl_Control_SetVisible ODCL_008_TS_LBL1 t)
)
(progn
(dcl_Control_SetVisible ODCL_008_TS_RE0 nil)
(dcl_Control_SetVisible ODCL_008_TS_TBX0 nil)
(dcl_Control_SetVisible ODCL_008_TS_LBL1 nil)
)
)
)

(DCL_LOADPROJECT "ODCL_008.odcl" T)
(dcl_FORM_SHOW ODCL_008_TS)

(PRINC))


[attachment deleted by admin]

BazzaCAD

Try this:
(make sure you're using the latest build V:4.1.2.1)



[attachment deleted by admin]
a.k.a.
Barry Ralphs
barryDOTralphsATgmailDOTcom

BazzaCAD

Sorry I forgot to mention that, currently it too complicated to get the form size and resize you form based on that, as it returns the size with the titlebar & form borders. These could be different on each users PC, so you'll never get the same resolutes. So I use the pic. box as the switch.
a.k.a.
Barry Ralphs
barryDOTralphsATgmailDOTcom

BazzaCAD

So JTHWAMAN, I just realized you could use:
(dcl_Form_GetControlArea ODCL_008_TS)
To check your forms height, then do the form resizing based on that, instead of using the Pic. box as the switch as I did in my example.
a.k.a.
Barry Ralphs
barryDOTralphsATgmailDOTcom

JTHWAMAN